std::char_traits::move(3)

NAME
std::char_traits::move - std::char_traits::move

Synopsis
   static char_type* move( char_type* dest, const char_type* src, (until C++20)
   std::size_t count );
   static constexpr char_type* move( char_type* dest, const char_type* (since C++20)
   src, std::size_t count );
   Copies count characters from the character string pointed to by src to the character
   string pointed to by dest.
   Performs correctly even if the copied character ranges overlap, i.e. src is in
   [dest, dest + count).

Parameters
   dest - pointer to a character string to copy to
   src - pointer to a character string to copy from
   count - the number of characters to copy

Return value
   dest

Exceptions
   Throws nothing.

Complexity
   Linear.